Subject: bug#44865: date recalculation error

From: Ruder Laplace <[email-masked]>
Date: Wed, 25 Nov 2020 10:54:45 +0100

Greetings,

I think I catched a bug related to the day-light saving gap:
*uname -a ; date ; date -d "2020/06/01 10:00:00 +1 hours"*
Linux ******** 4.19.0-8-amd64 #1 SMP Debian 4.19.98-1 (2020-01-26) x86_64
GNU/Linux
mié nov 25 10:30:29 CET 2020
lun jun  1 *12*:00:00 CEST 2020

As far as I think it should work, the expected result should be: lun jun 1
*11*:00:00 CEST 2020
"One hour after 10" is 11, not 12.

I'm not sure if it has something to do to be right now in UTC+1 and the
other time un UTC+2, but I don't remember having any trouble while in DL
saving while on UTC+2.

To me, the intuitive way is the one the program worries about whether DL
saving was/will be ON on the specified time.

*date --version*
date (GNU coreutils) 8.30
Copyright (C) 2018 Free Software Foundation, Inc.

*lsb_release -a*
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 10 (buster)
Release:        10
Codename:       buster

Thanks for your time,
Ruder Laplace.